i-s
===

Checks whether a JavaScript valis is of a certain type


## Install

```sh
$ npm install i-s
```

## Usage

```js
var is = require('i-s')
```

## API

### numeric

```js
is.numeric('567') === true
is.numeric('a') === false
is.numeric(4) === true
```

### number

```js
is.number('567') === false
is.number('a') === false
is.number(4) === true
is.number(4.3) === true
```

### int

```js
is.int('567') === false
is.int('a') === false
is.int(4) === true
is.int(4.3) === false
```

### float

```js
is.number('567') === false
is.number('a') === false
is.number(4) === false
is.number(4.3) === true
```

### string

```js
is.string('abc') === true
```

### function

```js
function f(){}
is.function(f) === true
```

### object

```js
is.object({}) === true
```

### arguments

```js
is.arguments(function(){return arguments}()) === true
is.arguments([]) === false
```

### boolean

```js
is.boolean(true) === true
is.boolean(false) === true
is.boolean({}) === false
```

### date

```js
is.date(new Date()) === true
```

### regexp

```js
is.regexp(/a/) === true
is.regexp(new RegExp('/a/')) === true
```

### array

```js
is.array([]) === true
is.array(function(){ return arguments }()) === false
```

## Browser

For usage in browser, include ```dist/index.js```

## Tests

```sh
$ make
```

Watch mode:

```sh
$ make test-w
```

## License

MIT

